> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/kb/resolving-common-issues/how-do-i-reset-the-xibo_admin-account-password.md).

# How do I reset the xibo\_admin account password?

If you’ve forgotten your xibo\_admin account password and don’t have any way to recover access to your Xibo system, reset following the steps below.

Connect to the Xibo database and run the following SQL. This can be done from the mysql command line application, or via a web interface such as PHPMyAdmin:

``UPDATE `user` set `UserPassword` = MD5('password'), CSPRNG = 0 WHERE `UserID` = 1 LIMIT 1;``

Your xibo\_admin password will then be “password”, so ensure to change it as soon as possible.

If you have a Docker based install, use the below page link for further guidance:

{% content-ref url="/pages/wLbbiEZyul4QBRJxmha6" %}
[How can I run a SQL command when using a Docker install?](/kb/resolving-common-issues/how-can-i-run-a-sql-command-when-using-a-docker-install.md)
{% endcontent-ref %}

If you are using PHPMyAdmin, follow these steps to run the above SQL command:

* On left side click on Xibo database. (The name may be different in your installation)
* On top menu click on “**SQL**” label
* Copy/Paste this command on text area and click “**Go**” button.

UPDATE `user` set `UserPassword` = MD5(‘password’), CSPRNG = 0 WHERE `UserID` = 1 LIMIT 1;

You will see that the password was been reset

> Thanks to [@eduardo](https://community.xibo.org.uk/u/eduardo) for contributing the above steps

## Hashed Password Security

Xibo uses PHP `password_hash()` [function](http://php.net/manual/en/function.password-hash.php) to generate secure hashes for password storage, which uses the PHP default algorithm. At the time of writing, the default is `bcrypt`. As time passes, and PHP update that default, passwords will be upgraded automatically as users log in to more secure formats.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/kb/resolving-common-issues/how-do-i-reset-the-xibo_admin-account-password.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
